com.impinj.octane

## Enum LockResultStatus

- java.lang.Object
- - java.lang.Enum<LockResultStatus>
  - - com.impinj.octane.LockResultStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LockResultStatus>

      public enum LockResultStatus
      extends java.lang.Enum<LockResultStatus>

  The status of a lock operation
  See Also:
    `TagLockOpResult`, `TagLockOp`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `InsufficientPower` The tag did not meet the required RSSI threshold.
    `NonspecificReaderError` An unidentified reader error occurred.
    `NonspecificTagError` An unidentified tag error occurred.
    `NoResponseFromTag` No ACK response was received from the tag in response to the operation.
    `Success` The tag lock operation completed successfully.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static LockResultStatus` | `valueOf(int lockResultStatusEnum)`
    `static LockResultStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LockResultStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Success

          public static final LockResultStatus Success

      The tag lock operation completed successfully.

    - #### InsufficientPower

          public static final LockResultStatus InsufficientPower

      The tag did not meet the required RSSI threshold.

    - #### NonspecificTagError

          public static final LockResultStatus NonspecificTagError

      An unidentified tag error occurred.

    - #### NoResponseFromTag

          public static final LockResultStatus NoResponseFromTag

      No ACK response was received from the tag in response to the operation.

    - #### NonspecificReaderError

          public static final LockResultStatus NonspecificReaderError

      An unidentified reader error occurred.

  - ### Method Detail

    - #### values

          public static LockResultStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LockResultStatus c : LockResultStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LockResultStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static LockResultStatus valueOf(int lockResultStatusEnum)

      Parameters:
        `lockResultStatusEnum` - an integer value
      Returns:
        the enumeration object corresponding to the integer value

    - #### getValue

          public int getValue()

      Returns:
        the integer value corresponding to the enumeration